/*
 * Hibernate Search, full-text search for your domain model
 *
 * License: GNU Lesser General Public License (LGPL), version 2.1 or later
 * See the lgpl.txt file in the root directory or <http://www.gnu.org/licenses/lgpl-2.1.html>.
 */

package org.hibernate.search.test.engine.optimizations;

import org.apache.lucene.document.Document;
import org.hibernate.search.bridge.FieldBridge;
import org.hibernate.search.bridge.LuceneOptions;

/**
 * @author Sanne Grinovero (C) 2011 Red Hat Inc.
 */
public class NoopClassBridge implements FieldBridge {

	@Override
	public void set(String name, Object value, Document document, LuceneOptions luceneOptions) {
		// not very relevant what we do here, but in theory I could navigate all the graph from value
		// and affect the index state.
		// but the fact a ClassBridge is defined should prevent
		// the engine from applying optimizations based on assumptions some field is not going
		// to affect the index state.
	}


}
